PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_Protection

Source Location: /PHPExcel/Worksheet/Protection.php

### Class Overview

PHPExcel_Worksheet_Protection

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getAutoFilter
- getDeleteColumns
- getDeleteRows
- getFormatCells
- getFormatColumns
- getFormatRows
- getInsertColumns
- getInsertHyperlinks
- getInsertRows
- getObjects
- getPassword
- getPivotTables
- getScenarios
- getSelectLockedCells
- getSelectUnlockedCells
- getSheet
- getSort
- isProtectionEnabled
- setAutoFilter
- setDeleteColumns
- setDeleteRows
- setFormatCells
- setFormatColumns
- setFormatRows
- setInsertColumns
- setInsertHyperlinks
- setInsertRows
- setObjects
- setPassword
- setPivotTables
- setScenarios
- setSelectLockedCells
- setSelectUnlockedCells
- setSheet
- setSort
- __clone

### Class Details

[line 36]
PHPExcel_Worksheet_Protection

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 160]

`PHPExcel_Worksheet_Protection __construct( )`

Create a new PHPExcel_Worksheet_Protection

#### Tags:

access: | public

[ Top ]

### method getAutoFilter [line 453]

`boolean getAutoFilter( )`

Get AutoFilter
[ Top ]

### method getDeleteColumns [line 373]

`boolean getDeleteColumns( )`

Get DeleteColumns
[ Top ]

### method getDeleteRows [line 393]

`boolean getDeleteRows( )`

Get DeleteRows
[ Top ]

### method getFormatCells [line 253]

`boolean getFormatCells( )`

Get FormatCells
[ Top ]

### method getFormatColumns [line 273]

`boolean getFormatColumns( )`

Get FormatColumns
[ Top ]

### method getFormatRows [line 293]

`boolean getFormatRows( )`

Get FormatRows
[ Top ]

### method getInsertColumns [line 313]

`boolean getInsertColumns( )`

Get InsertColumns
[ Top ]

### method getInsertHyperlinks [line 353]

`boolean getInsertHyperlinks( )`

Get InsertHyperlinks
[ Top ]

### method getInsertRows [line 333]

`boolean getInsertRows( )`

Get InsertRows
[ Top ]

### method getObjects [line 213]

`boolean getObjects( )`

Get Objects
[ Top ]

### method getPassword [line 513]

`string getPassword( )`

Get Password (hashed)
[ Top ]

### method getPivotTables [line 473]

`boolean getPivotTables( )`

Get PivotTables
[ Top ]

### method getScenarios [line 233]

`boolean getScenarios( )`

Get Scenarios
[ Top ]

### method getSelectLockedCells [line 413]

`boolean getSelectLockedCells( )`

Get SelectLockedCells
[ Top ]

### method getSelectUnlockedCells [line 493]

`boolean getSelectUnlockedCells( )`

Get SelectUnlockedCells
[ Top ]

### method getSheet [line 193]

`boolean getSheet( )`

Get Sheet
[ Top ]

### method getSort [line 433]

`boolean getSort( )`

Get Sort
[ Top ]

### method isProtectionEnabled [line 169]

`boolean isProtectionEnabled( )`

Is some sort of protection enabled?
[ Top ]

### method setAutoFilter [line 463]

`PHPExcel_Worksheet_Protection setAutoFilter( [boolean $pValue = false])`

Set AutoFilter

#### Parameters:

boolean | $pValue |

[ Top ]

### method setDeleteColumns [line 383]

`PHPExcel_Worksheet_Protection setDeleteColumns( [boolean $pValue = false])`

Set DeleteColumns

#### Parameters:

boolean | $pValue |

[ Top ]

### method setDeleteRows [line 403]

`PHPExcel_Worksheet_Protection setDeleteRows( [boolean $pValue = false])`

Set DeleteRows

#### Parameters:

boolean | $pValue |

[ Top ]

### method setFormatCells [line 263]

`PHPExcel_Worksheet_Protection setFormatCells( [boolean $pValue = false])`

Set FormatCells

#### Parameters:

boolean | $pValue |

[ Top ]

### method setFormatColumns [line 283]

`PHPExcel_Worksheet_Protection setFormatColumns( [boolean $pValue = false])`

Set FormatColumns

#### Parameters:

boolean | $pValue |

[ Top ]

### method setFormatRows [line 303]

`PHPExcel_Worksheet_Protection setFormatRows( [boolean $pValue = false])`

Set FormatRows

#### Parameters:

boolean | $pValue |

[ Top ]

### method setInsertColumns [line 323]

`PHPExcel_Worksheet_Protection setInsertColumns( [boolean $pValue = false])`

Set InsertColumns

#### Parameters:

boolean | $pValue |

[ Top ]

### method setInsertHyperlinks [line 363]

`PHPExcel_Worksheet_Protection setInsertHyperlinks( [boolean $pValue = false])`

Set InsertHyperlinks

#### Parameters:

boolean | $pValue |

[ Top ]

### method setInsertRows [line 343]

`PHPExcel_Worksheet_Protection setInsertRows( [boolean $pValue = false])`

Set InsertRows

#### Parameters:

boolean | $pValue |

[ Top ]

### method setObjects [line 223]

`PHPExcel_Worksheet_Protection setObjects( [boolean $pValue = false])`

Set Objects

#### Parameters:

boolean | $pValue |

[ Top ]

### method setPassword [line 524]

`PHPExcel_Worksheet_Protection setPassword( [string $pValue = ''], [boolean $pAlreadyHashed = false])`

Set Password

#### Parameters:

string | $pValue |
boolean | $pAlreadyHashed | If the password has already been hashed, set this to true

[ Top ]

### method setPivotTables [line 483]

`PHPExcel_Worksheet_Protection setPivotTables( [boolean $pValue = false])`

Set PivotTables

#### Parameters:

boolean | $pValue |

[ Top ]

### method setScenarios [line 243]

`PHPExcel_Worksheet_Protection setScenarios( [boolean $pValue = false])`

Set Scenarios

#### Parameters:

boolean | $pValue |

[ Top ]

### method setSelectLockedCells [line 423]

`PHPExcel_Worksheet_Protection setSelectLockedCells( [boolean $pValue = false])`

Set SelectLockedCells

#### Parameters:

boolean | $pValue |

[ Top ]

### method setSelectUnlockedCells [line 503]

`PHPExcel_Worksheet_Protection setSelectUnlockedCells( [boolean $pValue = false])`

Set SelectUnlockedCells

#### Parameters:

boolean | $pValue |

[ Top ]

### method setSheet [line 203]

`PHPExcel_Worksheet_Protection setSheet( [boolean $pValue = false])`

Set Sheet

#### Parameters:

boolean | $pValue |

[ Top ]

### method setSort [line 443]

`PHPExcel_Worksheet_Protection setSort( [boolean $pValue = false])`

Set Sort

#### Parameters:

boolean | $pValue |

[ Top ]

### method __clone [line 535]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:29 +0200 by phpDocumentor 1.4.4